#!/bin/sh

sh=`basename $0`

if [ $# -eq 0 ] ; then
    echo "Use: $sh ProjectName"
    exit 1
fi

projectUpper=`echo "$1" | sed -e 's/^./\U&/'`;
projectLower=`echo "$1" | sed -e 's/^./\L&/'`;

# Replace 'HelloWorld' string from filenames

cmdUpperMv="find . ! -name $sh -depth -name '*HelloWorld*' -execdir bash -c 'mv -i \"\$1\" \"\${1//HelloWorld/$projectUpper}\"' bash {} \;"
cmdLowerMv="find . ! -name $sh -depth -name '*helloWorld*' -execdir bash -c 'mv -i \"\$1\" \"\${1//helloWorld/$projectLower}\"' bash {} \;"
eval "$cmdUpperMv"
eval "$cmdLowerMv"

# Replace 'HelloWorld' string from files

cmdUpperSed="find ./ ! -name $sh -type f -exec sed -i 's/HelloWorld/$projectUpper/' {} \;"
cmdLowerSed="find ./ ! -name $sh -type f -exec sed -i 's/helloWorld/$projectLower/' {} \;"
eval "$cmdUpperSed"
eval "$cmdLowerSed"
